Below The Beltway

I believe in the free speech that liberals used to believe in, the economic freedom that conservatives used to believe in, and the personal freedom that America used to believe in.

Scheduled Upgrade

by @ 9:56 am on January 28, 2007. Filed under Blogging, News About The Site

Later today, I will be upgrading to WordPress 2.1, which I’ve been using for the last couple days at The Liberty Papers and liking a lot. So, there may be some downtime.

Update @ 10:34am: And we’re upgraded !

Comments are closed.

[Below The Beltway is proudly powered by WordPress.]